#
# Copyright (c) 2023, HILSTER - https://hilster.io
# All rights reserved.
#

import sys
from typing import Any

import prompt_toolkit  # type: ignore


def _simple_prompt(message: str, completer: Any = None, validator: Any = None) -> str:
    value = input(message)
    return value


def _prompt(message: str, completer: Any = None, validator: Any = None) -> str:
    value = prompt_toolkit.prompt(message, completer=completer, validator=validator)
    return value  # type: ignore


prompt = None

for _name in ("stdin", "stdout", "stderr"):
    _stream = getattr(sys, _name)
    if not _stream or not hasattr(_stream, "isatty") or not _stream.isatty():
        # warnings.warn(
        #     message="Not running in a TTY and not using prompt_toolkit")
        prompt = _simple_prompt
        break
else:
    prompt = _prompt
